myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cristi Toth" <cristi.t...@gmail.com>
Subject Re: [jira] Resolved: (TRINIDAD-799) Add agent version support in skinning
Date Thu, 17 Apr 2008 00:35:56 GMT
@Andrew follow this thread:
[Trinidad] added browser version support in skinning TRINIDAD-799

On Thu, Apr 17, 2008 at 12:36 AM, Andrew Robinson <
andrew.rw.robinson@gmail.com> wrote:

> what about minor versions (IE 5.5)?
>
> On Wed, Apr 16, 2008 at 4:13 PM, Cristi Toth (JIRA)
> <dev@myfaces.apache.org> wrote:
> >
> >      [
> https://issues.apache.org/jira/browse/TRINIDAD-799?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel]
> >
> >  Cristi Toth resolved TRINIDAD-799.
> >  ----------------------------------
> >
> >        Resolution: Fixed
> >     Fix Version/s:  1.2.8-core
> >                     1.0.8-core
> >          Assignee: Cristi Toth
> >
> >  I fixed this issue but using another format.
> >
> >  As we needed to support multiple browsers, each with multiple versions,
> I have chosen to use this format:
> >
> >  @ agent ie 5 6 7, gecko,safari {....}
> >
> >  so each agent definition separated by comma and the versions a space
> separated list following the browser type.
> >
> >  if you have any objections on this, please reopen the issue.
> >
> >  > Add agent version support in skinning
> >  > -------------------------------------
> >  >
> >  >                 Key: TRINIDAD-799
> >  >                 URL:
> https://issues.apache.org/jira/browse/TRINIDAD-799
> >  >             Project: MyFaces Trinidad
> >  >          Issue Type: Wish
> >  >          Components: Components
> >  >    Affects Versions: 1.0.4-core
> >  >            Reporter: Andrew Robinson
> >  >            Assignee: Cristi Toth
> >  >             Fix For:  1.0.8-core,  1.2.8-core
> >  >
> >  >
> >  > The current skinning functionality does not allow a skinning
> developer to differentiate between different browser versions. For example,
> it is possible to tell the difference between IE and firefox, but not
> between IE 6 and 7
> >  > Possible implementations:
> >  > 1) @agent ie6 { ... }
> >  > 2) @agent ie { @agentVersion 6 { ... } }
> >  > A more general and more powerful approach would be to allow
> developers to use a regex on the browser version:
> >  > @agent match /MSIE [67]/
> >
> >  --
> >  This message is automatically generated by JIRA.
> >  -
> >  You can reply to this email to add a comment to the issue online.
> >
> >
>



-- 
Cristi Toth

-------------
Codebeat
www.codebeat.ro

Mime
View raw message